Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network83.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
83.0.0.0
Broadcast address
83.127.255.255
First usable
83.0.0.1
Last usable
83.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 53000000 · Integer 1392508928 to 1400897535
Reverse DNS zones
0.83.in-addr.arpa
1.83.in-addr.arpa
2.83.in-addr.arpa
3.83.in-addr.arpa
4.83.in-addr.arpa
5.83.in-addr.arpa
6.83.in-addr.arpa
7.83.in-addr.arpa
8.83.in-addr.arpa
9.83.in-addr.arpa
10.83.in-addr.arpa
11.83.in-addr.arpa
12.83.in-addr.arpa
13.83.in-addr.arpa
14.83.in-addr.arpa
15.83.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010011.00000000.00000000.0000000083.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01010011.00000000.00000000.0000000083.0.0.0
Broadcast01010011.01111111.11111111.1111111183.127.255.255
Split into smaller subnets/21

83.0.0.0/9 makes 4,096 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
183.0.0.0/2183.0.0.1 to 83.0.7.25483.0.7.2552,046
283.0.8.0/2183.0.8.1 to 83.0.15.25483.0.15.2552,046
383.0.16.0/2183.0.16.1 to 83.0.23.25483.0.23.2552,046
483.0.24.0/2183.0.24.1 to 83.0.31.25483.0.31.2552,046
583.0.32.0/2183.0.32.1 to 83.0.39.25483.0.39.2552,046
683.0.40.0/2183.0.40.1 to 83.0.47.25483.0.47.2552,046
783.0.48.0/2183.0.48.1 to 83.0.55.25483.0.55.2552,046
883.0.56.0/2183.0.56.1 to 83.0.63.25483.0.63.2552,046
983.0.64.0/2183.0.64.1 to 83.0.71.25483.0.71.2552,046
1083.0.72.0/2183.0.72.1 to 83.0.79.25483.0.79.2552,046
1183.0.80.0/2183.0.80.1 to 83.0.87.25483.0.87.2552,046
1283.0.88.0/2183.0.88.1 to 83.0.95.25483.0.95.2552,046
1383.0.96.0/2183.0.96.1 to 83.0.103.25483.0.103.2552,046
1483.0.104.0/2183.0.104.1 to 83.0.111.25483.0.111.2552,046
1583.0.112.0/2183.0.112.1 to 83.0.119.25483.0.119.2552,046
1683.0.120.0/2183.0.120.1 to 83.0.127.25483.0.127.2552,046
1783.0.128.0/2183.0.128.1 to 83.0.135.25483.0.135.2552,046
1883.0.136.0/2183.0.136.1 to 83.0.143.25483.0.143.2552,046
1983.0.144.0/2183.0.144.1 to 83.0.151.25483.0.151.2552,046
2083.0.152.0/2183.0.152.1 to 83.0.159.25483.0.159.2552,046
2183.0.160.0/2183.0.160.1 to 83.0.167.25483.0.167.2552,046
2283.0.168.0/2183.0.168.1 to 83.0.175.25483.0.175.2552,046
2383.0.176.0/2183.0.176.1 to 83.0.183.25483.0.183.2552,046
2483.0.184.0/2183.0.184.1 to 83.0.191.25483.0.191.2552,046
2583.0.192.0/2183.0.192.1 to 83.0.199.25483.0.199.2552,046
2683.0.200.0/2183.0.200.1 to 83.0.207.25483.0.207.2552,046
2783.0.208.0/2183.0.208.1 to 83.0.215.25483.0.215.2552,046
2883.0.216.0/2183.0.216.1 to 83.0.223.25483.0.223.2552,046
2983.0.224.0/2183.0.224.1 to 83.0.231.25483.0.231.2552,046
3083.0.232.0/2183.0.232.1 to 83.0.239.25483.0.239.2552,046
3183.0.240.0/2183.0.240.1 to 83.0.247.25483.0.247.2552,046
3283.0.248.0/2183.0.248.1 to 83.0.255.25483.0.255.2552,046
3383.1.0.0/2183.1.0.1 to 83.1.7.25483.1.7.2552,046
3483.1.8.0/2183.1.8.1 to 83.1.15.25483.1.15.2552,046
3583.1.16.0/2183.1.16.1 to 83.1.23.25483.1.23.2552,046
3683.1.24.0/2183.1.24.1 to 83.1.31.25483.1.31.2552,046
3783.1.32.0/2183.1.32.1 to 83.1.39.25483.1.39.2552,046
3883.1.40.0/2183.1.40.1 to 83.1.47.25483.1.47.2552,046
3983.1.48.0/2183.1.48.1 to 83.1.55.25483.1.55.2552,046
4083.1.56.0/2183.1.56.1 to 83.1.63.25483.1.63.2552,046
4183.1.64.0/2183.1.64.1 to 83.1.71.25483.1.71.2552,046
4283.1.72.0/2183.1.72.1 to 83.1.79.25483.1.79.2552,046
4383.1.80.0/2183.1.80.1 to 83.1.87.25483.1.87.2552,046
4483.1.88.0/2183.1.88.1 to 83.1.95.25483.1.95.2552,046
4583.1.96.0/2183.1.96.1 to 83.1.103.25483.1.103.2552,046
4683.1.104.0/2183.1.104.1 to 83.1.111.25483.1.111.2552,046
4783.1.112.0/2183.1.112.1 to 83.1.119.25483.1.119.2552,046
4883.1.120.0/2183.1.120.1 to 83.1.127.25483.1.127.2552,046
4983.1.128.0/2183.1.128.1 to 83.1.135.25483.1.135.2552,046
5083.1.136.0/2183.1.136.1 to 83.1.143.25483.1.143.2552,046
5183.1.144.0/2183.1.144.1 to 83.1.151.25483.1.151.2552,046
5283.1.152.0/2183.1.152.1 to 83.1.159.25483.1.159.2552,046
5383.1.160.0/2183.1.160.1 to 83.1.167.25483.1.167.2552,046
5483.1.168.0/2183.1.168.1 to 83.1.175.25483.1.175.2552,046
5583.1.176.0/2183.1.176.1 to 83.1.183.25483.1.183.2552,046
5683.1.184.0/2183.1.184.1 to 83.1.191.25483.1.191.2552,046
5783.1.192.0/2183.1.192.1 to 83.1.199.25483.1.199.2552,046
5883.1.200.0/2183.1.200.1 to 83.1.207.25483.1.207.2552,046
5983.1.208.0/2183.1.208.1 to 83.1.215.25483.1.215.2552,046
6083.1.216.0/2183.1.216.1 to 83.1.223.25483.1.223.2552,046
6183.1.224.0/2183.1.224.1 to 83.1.231.25483.1.231.2552,046
6283.1.232.0/2183.1.232.1 to 83.1.239.25483.1.239.2552,046
6383.1.240.0/2183.1.240.1 to 83.1.247.25483.1.247.2552,046
6483.1.248.0/2183.1.248.1 to 83.1.255.25483.1.255.2552,046
6583.2.0.0/2183.2.0.1 to 83.2.7.25483.2.7.2552,046
6683.2.8.0/2183.2.8.1 to 83.2.15.25483.2.15.2552,046
6783.2.16.0/2183.2.16.1 to 83.2.23.25483.2.23.2552,046
6883.2.24.0/2183.2.24.1 to 83.2.31.25483.2.31.2552,046
6983.2.32.0/2183.2.32.1 to 83.2.39.25483.2.39.2552,046
7083.2.40.0/2183.2.40.1 to 83.2.47.25483.2.47.2552,046
7183.2.48.0/2183.2.48.1 to 83.2.55.25483.2.55.2552,046
7283.2.56.0/2183.2.56.1 to 83.2.63.25483.2.63.2552,046
7383.2.64.0/2183.2.64.1 to 83.2.71.25483.2.71.2552,046
7483.2.72.0/2183.2.72.1 to 83.2.79.25483.2.79.2552,046
7583.2.80.0/2183.2.80.1 to 83.2.87.25483.2.87.2552,046
7683.2.88.0/2183.2.88.1 to 83.2.95.25483.2.95.2552,046
7783.2.96.0/2183.2.96.1 to 83.2.103.25483.2.103.2552,046
7883.2.104.0/2183.2.104.1 to 83.2.111.25483.2.111.2552,046
7983.2.112.0/2183.2.112.1 to 83.2.119.25483.2.119.2552,046
8083.2.120.0/2183.2.120.1 to 83.2.127.25483.2.127.2552,046
8183.2.128.0/2183.2.128.1 to 83.2.135.25483.2.135.2552,046
8283.2.136.0/2183.2.136.1 to 83.2.143.25483.2.143.2552,046
8383.2.144.0/2183.2.144.1 to 83.2.151.25483.2.151.2552,046
8483.2.152.0/2183.2.152.1 to 83.2.159.25483.2.159.2552,046
8583.2.160.0/2183.2.160.1 to 83.2.167.25483.2.167.2552,046
8683.2.168.0/2183.2.168.1 to 83.2.175.25483.2.175.2552,046
8783.2.176.0/2183.2.176.1 to 83.2.183.25483.2.183.2552,046
8883.2.184.0/2183.2.184.1 to 83.2.191.25483.2.191.2552,046
8983.2.192.0/2183.2.192.1 to 83.2.199.25483.2.199.2552,046
9083.2.200.0/2183.2.200.1 to 83.2.207.25483.2.207.2552,046
9183.2.208.0/2183.2.208.1 to 83.2.215.25483.2.215.2552,046
9283.2.216.0/2183.2.216.1 to 83.2.223.25483.2.223.2552,046
9383.2.224.0/2183.2.224.1 to 83.2.231.25483.2.231.2552,046
9483.2.232.0/2183.2.232.1 to 83.2.239.25483.2.239.2552,046
9583.2.240.0/2183.2.240.1 to 83.2.247.25483.2.247.2552,046
9683.2.248.0/2183.2.248.1 to 83.2.255.25483.2.255.2552,046
9783.3.0.0/2183.3.0.1 to 83.3.7.25483.3.7.2552,046
9883.3.8.0/2183.3.8.1 to 83.3.15.25483.3.15.2552,046
9983.3.16.0/2183.3.16.1 to 83.3.23.25483.3.23.2552,046
10083.3.24.0/2183.3.24.1 to 83.3.31.25483.3.31.2552,046
10183.3.32.0/2183.3.32.1 to 83.3.39.25483.3.39.2552,046
10283.3.40.0/2183.3.40.1 to 83.3.47.25483.3.47.2552,046
10383.3.48.0/2183.3.48.1 to 83.3.55.25483.3.55.2552,046
10483.3.56.0/2183.3.56.1 to 83.3.63.25483.3.63.2552,046
10583.3.64.0/2183.3.64.1 to 83.3.71.25483.3.71.2552,046
10683.3.72.0/2183.3.72.1 to 83.3.79.25483.3.79.2552,046
10783.3.80.0/2183.3.80.1 to 83.3.87.25483.3.87.2552,046
10883.3.88.0/2183.3.88.1 to 83.3.95.25483.3.95.2552,046
10983.3.96.0/2183.3.96.1 to 83.3.103.25483.3.103.2552,046
11083.3.104.0/2183.3.104.1 to 83.3.111.25483.3.111.2552,046
11183.3.112.0/2183.3.112.1 to 83.3.119.25483.3.119.2552,046
11283.3.120.0/2183.3.120.1 to 83.3.127.25483.3.127.2552,046
11383.3.128.0/2183.3.128.1 to 83.3.135.25483.3.135.2552,046
11483.3.136.0/2183.3.136.1 to 83.3.143.25483.3.143.2552,046
11583.3.144.0/2183.3.144.1 to 83.3.151.25483.3.151.2552,046
11683.3.152.0/2183.3.152.1 to 83.3.159.25483.3.159.2552,046
11783.3.160.0/2183.3.160.1 to 83.3.167.25483.3.167.2552,046
11883.3.168.0/2183.3.168.1 to 83.3.175.25483.3.175.2552,046
11983.3.176.0/2183.3.176.1 to 83.3.183.25483.3.183.2552,046
12083.3.184.0/2183.3.184.1 to 83.3.191.25483.3.191.2552,046
12183.3.192.0/2183.3.192.1 to 83.3.199.25483.3.199.2552,046
12283.3.200.0/2183.3.200.1 to 83.3.207.25483.3.207.2552,046
12383.3.208.0/2183.3.208.1 to 83.3.215.25483.3.215.2552,046
12483.3.216.0/2183.3.216.1 to 83.3.223.25483.3.223.2552,046
12583.3.224.0/2183.3.224.1 to 83.3.231.25483.3.231.2552,046
12683.3.232.0/2183.3.232.1 to 83.3.239.25483.3.239.2552,046
12783.3.240.0/2183.3.240.1 to 83.3.247.25483.3.247.2552,046
12883.3.248.0/2183.3.248.1 to 83.3.255.25483.3.255.2552,046
12983.4.0.0/2183.4.0.1 to 83.4.7.25483.4.7.2552,046
13083.4.8.0/2183.4.8.1 to 83.4.15.25483.4.15.2552,046
13183.4.16.0/2183.4.16.1 to 83.4.23.25483.4.23.2552,046
13283.4.24.0/2183.4.24.1 to 83.4.31.25483.4.31.2552,046
13383.4.32.0/2183.4.32.1 to 83.4.39.25483.4.39.2552,046
13483.4.40.0/2183.4.40.1 to 83.4.47.25483.4.47.2552,046
13583.4.48.0/2183.4.48.1 to 83.4.55.25483.4.55.2552,046
13683.4.56.0/2183.4.56.1 to 83.4.63.25483.4.63.2552,046
13783.4.64.0/2183.4.64.1 to 83.4.71.25483.4.71.2552,046
13883.4.72.0/2183.4.72.1 to 83.4.79.25483.4.79.2552,046
13983.4.80.0/2183.4.80.1 to 83.4.87.25483.4.87.2552,046
14083.4.88.0/2183.4.88.1 to 83.4.95.25483.4.95.2552,046
14183.4.96.0/2183.4.96.1 to 83.4.103.25483.4.103.2552,046
14283.4.104.0/2183.4.104.1 to 83.4.111.25483.4.111.2552,046
14383.4.112.0/2183.4.112.1 to 83.4.119.25483.4.119.2552,046
14483.4.120.0/2183.4.120.1 to 83.4.127.25483.4.127.2552,046
14583.4.128.0/2183.4.128.1 to 83.4.135.25483.4.135.2552,046
14683.4.136.0/2183.4.136.1 to 83.4.143.25483.4.143.2552,046
14783.4.144.0/2183.4.144.1 to 83.4.151.25483.4.151.2552,046
14883.4.152.0/2183.4.152.1 to 83.4.159.25483.4.159.2552,046
14983.4.160.0/2183.4.160.1 to 83.4.167.25483.4.167.2552,046
15083.4.168.0/2183.4.168.1 to 83.4.175.25483.4.175.2552,046
15183.4.176.0/2183.4.176.1 to 83.4.183.25483.4.183.2552,046
15283.4.184.0/2183.4.184.1 to 83.4.191.25483.4.191.2552,046
15383.4.192.0/2183.4.192.1 to 83.4.199.25483.4.199.2552,046
15483.4.200.0/2183.4.200.1 to 83.4.207.25483.4.207.2552,046
15583.4.208.0/2183.4.208.1 to 83.4.215.25483.4.215.2552,046
15683.4.216.0/2183.4.216.1 to 83.4.223.25483.4.223.2552,046
15783.4.224.0/2183.4.224.1 to 83.4.231.25483.4.231.2552,046
15883.4.232.0/2183.4.232.1 to 83.4.239.25483.4.239.2552,046
15983.4.240.0/2183.4.240.1 to 83.4.247.25483.4.247.2552,046
16083.4.248.0/2183.4.248.1 to 83.4.255.25483.4.255.2552,046
16183.5.0.0/2183.5.0.1 to 83.5.7.25483.5.7.2552,046
16283.5.8.0/2183.5.8.1 to 83.5.15.25483.5.15.2552,046
16383.5.16.0/2183.5.16.1 to 83.5.23.25483.5.23.2552,046
16483.5.24.0/2183.5.24.1 to 83.5.31.25483.5.31.2552,046
16583.5.32.0/2183.5.32.1 to 83.5.39.25483.5.39.2552,046
16683.5.40.0/2183.5.40.1 to 83.5.47.25483.5.47.2552,046
16783.5.48.0/2183.5.48.1 to 83.5.55.25483.5.55.2552,046
16883.5.56.0/2183.5.56.1 to 83.5.63.25483.5.63.2552,046
16983.5.64.0/2183.5.64.1 to 83.5.71.25483.5.71.2552,046
17083.5.72.0/2183.5.72.1 to 83.5.79.25483.5.79.2552,046
17183.5.80.0/2183.5.80.1 to 83.5.87.25483.5.87.2552,046
17283.5.88.0/2183.5.88.1 to 83.5.95.25483.5.95.2552,046
17383.5.96.0/2183.5.96.1 to 83.5.103.25483.5.103.2552,046
17483.5.104.0/2183.5.104.1 to 83.5.111.25483.5.111.2552,046
17583.5.112.0/2183.5.112.1 to 83.5.119.25483.5.119.2552,046
17683.5.120.0/2183.5.120.1 to 83.5.127.25483.5.127.2552,046
17783.5.128.0/2183.5.128.1 to 83.5.135.25483.5.135.2552,046
17883.5.136.0/2183.5.136.1 to 83.5.143.25483.5.143.2552,046
17983.5.144.0/2183.5.144.1 to 83.5.151.25483.5.151.2552,046
18083.5.152.0/2183.5.152.1 to 83.5.159.25483.5.159.2552,046
18183.5.160.0/2183.5.160.1 to 83.5.167.25483.5.167.2552,046
18283.5.168.0/2183.5.168.1 to 83.5.175.25483.5.175.2552,046
18383.5.176.0/2183.5.176.1 to 83.5.183.25483.5.183.2552,046
18483.5.184.0/2183.5.184.1 to 83.5.191.25483.5.191.2552,046
18583.5.192.0/2183.5.192.1 to 83.5.199.25483.5.199.2552,046
18683.5.200.0/2183.5.200.1 to 83.5.207.25483.5.207.2552,046
18783.5.208.0/2183.5.208.1 to 83.5.215.25483.5.215.2552,046
18883.5.216.0/2183.5.216.1 to 83.5.223.25483.5.223.2552,046
18983.5.224.0/2183.5.224.1 to 83.5.231.25483.5.231.2552,046
19083.5.232.0/2183.5.232.1 to 83.5.239.25483.5.239.2552,046
19183.5.240.0/2183.5.240.1 to 83.5.247.25483.5.247.2552,046
19283.5.248.0/2183.5.248.1 to 83.5.255.25483.5.255.2552,046
19383.6.0.0/2183.6.0.1 to 83.6.7.25483.6.7.2552,046
19483.6.8.0/2183.6.8.1 to 83.6.15.25483.6.15.2552,046
19583.6.16.0/2183.6.16.1 to 83.6.23.25483.6.23.2552,046
19683.6.24.0/2183.6.24.1 to 83.6.31.25483.6.31.2552,046
19783.6.32.0/2183.6.32.1 to 83.6.39.25483.6.39.2552,046
19883.6.40.0/2183.6.40.1 to 83.6.47.25483.6.47.2552,046
19983.6.48.0/2183.6.48.1 to 83.6.55.25483.6.55.2552,046
20083.6.56.0/2183.6.56.1 to 83.6.63.25483.6.63.2552,046
20183.6.64.0/2183.6.64.1 to 83.6.71.25483.6.71.2552,046
20283.6.72.0/2183.6.72.1 to 83.6.79.25483.6.79.2552,046
20383.6.80.0/2183.6.80.1 to 83.6.87.25483.6.87.2552,046
20483.6.88.0/2183.6.88.1 to 83.6.95.25483.6.95.2552,046
20583.6.96.0/2183.6.96.1 to 83.6.103.25483.6.103.2552,046
20683.6.104.0/2183.6.104.1 to 83.6.111.25483.6.111.2552,046
20783.6.112.0/2183.6.112.1 to 83.6.119.25483.6.119.2552,046
20883.6.120.0/2183.6.120.1 to 83.6.127.25483.6.127.2552,046
20983.6.128.0/2183.6.128.1 to 83.6.135.25483.6.135.2552,046
21083.6.136.0/2183.6.136.1 to 83.6.143.25483.6.143.2552,046
21183.6.144.0/2183.6.144.1 to 83.6.151.25483.6.151.2552,046
21283.6.152.0/2183.6.152.1 to 83.6.159.25483.6.159.2552,046
21383.6.160.0/2183.6.160.1 to 83.6.167.25483.6.167.2552,046
21483.6.168.0/2183.6.168.1 to 83.6.175.25483.6.175.2552,046
21583.6.176.0/2183.6.176.1 to 83.6.183.25483.6.183.2552,046
21683.6.184.0/2183.6.184.1 to 83.6.191.25483.6.191.2552,046
21783.6.192.0/2183.6.192.1 to 83.6.199.25483.6.199.2552,046
21883.6.200.0/2183.6.200.1 to 83.6.207.25483.6.207.2552,046
21983.6.208.0/2183.6.208.1 to 83.6.215.25483.6.215.2552,046
22083.6.216.0/2183.6.216.1 to 83.6.223.25483.6.223.2552,046
22183.6.224.0/2183.6.224.1 to 83.6.231.25483.6.231.2552,046
22283.6.232.0/2183.6.232.1 to 83.6.239.25483.6.239.2552,046
22383.6.240.0/2183.6.240.1 to 83.6.247.25483.6.247.2552,046
22483.6.248.0/2183.6.248.1 to 83.6.255.25483.6.255.2552,046
22583.7.0.0/2183.7.0.1 to 83.7.7.25483.7.7.2552,046
22683.7.8.0/2183.7.8.1 to 83.7.15.25483.7.15.2552,046
22783.7.16.0/2183.7.16.1 to 83.7.23.25483.7.23.2552,046
22883.7.24.0/2183.7.24.1 to 83.7.31.25483.7.31.2552,046
22983.7.32.0/2183.7.32.1 to 83.7.39.25483.7.39.2552,046
23083.7.40.0/2183.7.40.1 to 83.7.47.25483.7.47.2552,046
23183.7.48.0/2183.7.48.1 to 83.7.55.25483.7.55.2552,046
23283.7.56.0/2183.7.56.1 to 83.7.63.25483.7.63.2552,046
23383.7.64.0/2183.7.64.1 to 83.7.71.25483.7.71.2552,046
23483.7.72.0/2183.7.72.1 to 83.7.79.25483.7.79.2552,046
23583.7.80.0/2183.7.80.1 to 83.7.87.25483.7.87.2552,046
23683.7.88.0/2183.7.88.1 to 83.7.95.25483.7.95.2552,046
23783.7.96.0/2183.7.96.1 to 83.7.103.25483.7.103.2552,046
23883.7.104.0/2183.7.104.1 to 83.7.111.25483.7.111.2552,046
23983.7.112.0/2183.7.112.1 to 83.7.119.25483.7.119.2552,046
24083.7.120.0/2183.7.120.1 to 83.7.127.25483.7.127.2552,046
24183.7.128.0/2183.7.128.1 to 83.7.135.25483.7.135.2552,046
24283.7.136.0/2183.7.136.1 to 83.7.143.25483.7.143.2552,046
24383.7.144.0/2183.7.144.1 to 83.7.151.25483.7.151.2552,046
24483.7.152.0/2183.7.152.1 to 83.7.159.25483.7.159.2552,046
24583.7.160.0/2183.7.160.1 to 83.7.167.25483.7.167.2552,046
24683.7.168.0/2183.7.168.1 to 83.7.175.25483.7.175.2552,046
24783.7.176.0/2183.7.176.1 to 83.7.183.25483.7.183.2552,046
24883.7.184.0/2183.7.184.1 to 83.7.191.25483.7.191.2552,046
24983.7.192.0/2183.7.192.1 to 83.7.199.25483.7.199.2552,046
25083.7.200.0/2183.7.200.1 to 83.7.207.25483.7.207.2552,046
25183.7.208.0/2183.7.208.1 to 83.7.215.25483.7.215.2552,046
25283.7.216.0/2183.7.216.1 to 83.7.223.25483.7.223.2552,046
25383.7.224.0/2183.7.224.1 to 83.7.231.25483.7.231.2552,046
25483.7.232.0/2183.7.232.1 to 83.7.239.25483.7.239.2552,046
25583.7.240.0/2183.7.240.1 to 83.7.247.25483.7.247.2552,046
25683.7.248.0/2183.7.248.1 to 83.7.255.25483.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses